osl::eval::ml::King25BothSide Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::King25BothSide Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::King25BothSide:
[legend]

## Public Types
enum | { ONE_DIM = 8192, DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<osl::Player P>
osl::MultiInt | evalOne (const NumEffectState &state, const CArray< int, 5 > &effects)

## Static Public Member Functions
static void | setUp (const Weights &weights)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, const CArray< int, 5 > &effects)
static MultiInt | eval (const NumEffectState &state, const CArray< int, 5 > &black, const CArray< int, 5 > &white)

## Static Private Member Functions
static int | index (int effect1, int effect2, int i)
template<Player P>
static int | indexX (Square king, int effect1, int effect2, int i, int j)
static int | indexX (int king_x, int effect1, int effect2, int i)
template<Player P>
static int | indexY (Square king, int effect1, int effect2, int i)
static int | indexY (int king_y, int effect1, int effect2, int i)

## Static Private Attributes
static CArray< MultiInt, 8192 > | table
static CArray< MultiInt, 40960 > | x_table
static CArray< MultiInt, 73728 > | y_table

## Friends
class | King25BothSideX
class | King25BothSideY

## Detailed Description

Definition at line 777 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 782 of file kingTable.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::King25BothSide::eval | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | black,
|  | const CArray< int, 5 > & | white
| ) |  |
| static

Definition at line 1684 of file kingTable.cc.

template<Player P>

static MultiInt osl::eval::ml::King25BothSide::evalOne | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | effects
| ) |  |
| static

template<osl::Player P>

osl::MultiInt osl::eval::ml::King25BothSide::evalOne | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | effects
| ) |  |

Definition at line 1637 of file kingTable.cc.

References osl::BLACK, osl::WHITE, osl::Square::x(), osl::eval::ml::ppair::x_table, osl::Square::y(), and osl::eval::ml::ppair::y_table.

static int osl::eval::ml::King25BothSide::index | ( | int | effect1,
|  | int | effect2,
|  | int | i
| ) |  |
| inlinestaticprivate

Definition at line 791 of file kingTable.h.

template<Player P>

static int osl::eval::ml::King25BothSide::indexX | ( | Square | king,
|  | int | effect1,
|  | int | effect2,
|  | int | i,
|  | int | j
| ) |  |
| inlinestaticprivate

Definition at line 798 of file kingTable.h.

References osl::BLACK, osl::WHITE, and osl::Square::x().

static int osl::eval::ml::King25BothSide::indexX | ( | int | king_x,
|  | int | effect1,
|  | int | effect2,
|  | int | i
| ) |  |
| inlinestaticprivate

Definition at line 820 of file kingTable.h.

template<Player P>

static int osl::eval::ml::King25BothSide::indexY | ( | Square | king,
|  | int | effect1,
|  | int | effect2,
|  | int | i
| ) |  |
| inlinestaticprivate

Definition at line 825 of file kingTable.h.

References osl::BLACK, and osl::Square::y().

static int osl::eval::ml::King25BothSide::indexY | ( | int | king_y,
|  | int | effect1,
|  | int | effect2,
|  | int | i
| ) |  |
| inlinestaticprivate

Definition at line 832 of file kingTable.h.

void osl::eval::ml::King25BothSide::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 1600 of file kingTable.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class King25BothSideX
| friend

Definition at line 779 of file kingTable.h.

friend class King25BothSideY
| friend

Definition at line 780 of file kingTable.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 8192 > osl::eval::ml::King25BothSide::table
| staticprivate

Definition at line 835 of file kingTable.h.

Referenced by osl::eval::ml::King25BothSideY::setUp().

osl::misc::CArray< MultiInt, 40960 > osl::eval::ml::King25BothSide::x_table
| staticprivate

Definition at line 836 of file kingTable.h.

Referenced by osl::eval::ml::King25BothSideX::setUp().

osl::misc::CArray< MultiInt, 73728 > osl::eval::ml::King25BothSide::y_table
| staticprivate

Definition at line 837 of file kingTable.h.

Referenced by osl::eval::ml::King25BothSideY::setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc